Page MenuHomePhabricator

1.32.0-wmf.16 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.32.0-wmf.16
Release Date
Aug 6 2018, 12:00 AM

2018 week 32 1.32-wmf.16 Changes wmf/1.32.0-wmf.16

This MediaWiki Train Deployment is scheduled for the week of Monday, August 6th:

Monday August 6thTuesday, August 7thWednesday, August 8thThursday, August 9thFriday
Backports only.Branch wmf.16 and deploy to Group 0 Wikis.Deploy wmf.16 to Group 1 Wikis.Deploy wmf.16 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.16 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.32.0-wmf.15
Next: 1.32.0-wmf.17

Event Timeline

greg created this task.Mar 29 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 6:08 PM
greg triaged this task as Medium priority.Mar 29 2018, 6:15 PM
mmodell claimed this task.Aug 2 2018, 8:36 PM
mmodell added a comment.EditedAug 3 2018, 6:40 PM

@greg: makes sense to block next week's train but if it's not happening in prod then why block the train that is already complete?

nvm I was looking at the wrong place

greg added a comment.Aug 3 2018, 6:40 PM
This comment was removed by greg.

Change 451087 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] testwikis wikis to 1.32.0-wmf.16 refs T191062

https://gerrit.wikimedia.org/r/451087

Change 451087 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.32.0-wmf.16 refs T191062

https://gerrit.wikimedia.org/r/451087

Mentioned in SAL (#wikimedia-operations) [2018-08-07T19:36:52Z] <twentyafterfour@deploy1001> Started scap: testwikis wikis to 1.32.0-wmf.16 refs T191062

Mentioned in SAL (#wikimedia-operations) [2018-08-07T20:45:13Z] <twentyafterfour@deploy1001> Finished scap: testwikis wikis to 1.32.0-wmf.16 refs T191062 (duration: 68m 20s)

Change 451180 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.32.0-wmf.16 refs T191062

https://gerrit.wikimedia.org/r/451180

Change 451180 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.32.0-wmf.16 refs T191062

https://gerrit.wikimedia.org/r/451180

Mentioned in SAL (#wikimedia-operations) [2018-08-07T21:17:19Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.32.0-wmf.16 refs T191062

Change 451529 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.16 refs T191062

https://gerrit.wikimedia.org/r/451529

Change 451529 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.16 refs T191062

https://gerrit.wikimedia.org/r/451529

Mentioned in SAL (#wikimedia-operations) [2018-08-08T20:58:20Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.32.0-wmf.16 refs T191062

Mentioned in SAL (#wikimedia-operations) [2018-08-08T20:59:18Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.32.0-wmf.16 refs T191062 (duration: 00m 57s)

Change 451693 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.32.0-wmf.16 refs T191062

https://gerrit.wikimedia.org/r/451693

Change 451693 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.32.0-wmf.16 refs T191062

https://gerrit.wikimedia.org/r/451693

Mentioned in SAL (#wikimedia-operations) [2018-08-09T19:16:24Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.32.0-wmf.16 refs T191062

Everything appears to be stable! :)

- This concludes the MediaWiki train for 1.32.0-wmf.16.
- No train next week.

mmodell closed this task as Resolved.Aug 9 2018, 8:03 PM